package org.netkernel.module.standard;

import java.util.List;

import org.netkernel.urii.ISpace;

public interface IRootSpace extends ISpace
{
	/** Should be called by owner whenever a spaceChanged event is detected so that space
	 *  and sub-spaces can relink any space dependencies
	 */
	void spaceChanged();
	
	/** Returns all spaces
	 * @return
	 */
	List<ISpace> getSpaces();
}
